View Issue Details

IDProjectCategoryView StatusLast Update
0017993LazarusLCLpublic2012-02-08 23:17
ReporterMaxim GanetskyAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindowsOS VersionXP SP2
Product Version0.9.29 (SVN)Product BuildLazarus 0.9.29 r28353 FPC 2.4.3  
Target VersionFixed in Version0.9.31 (SVN) 
Summary0017993: ToolButton can be highlighted in some cases when another modal form is open
DescriptionToolButton can be highlighted in some cases when another modal form is open.

Steps to reproduce:

1. Open attached project.

2. Click 'Show Form2 (modal)' button. Modal Form2 will be open.

3. In Form2 press left mouse button down on Button1 and without releasing it move mouse pointer to any ToolButton on Form1. Note that ToolButton is (incorrectly) highlighted.
TagsNo tags attached.
Fixed in Revision35204
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

2010-11-20 00:12

 

modalformtoolbutton.zip (3,167 bytes)

Paul Ishenin

2010-11-22 09:28

manager   ~0043351

It is partly fixed in r28398. Now they only highlight when you release the mouse over them.

Paul Ishenin

2012-02-07 08:50

manager   ~0056610

Please test and close if ok.

Maxim Ganetsky

2012-02-08 23:17

developer   ~0056670

Works ok. Thanks.

Issue History

Date Modified Username Field Change
2010-11-20 00:12 Maxim Ganetsky New Issue
2010-11-20 00:12 Maxim Ganetsky File Added: modalformtoolbutton.zip
2010-11-20 00:12 Maxim Ganetsky LazTarget => -
2010-11-20 00:12 Maxim Ganetsky Widgetset => Win32/Win64
2010-11-22 09:28 Paul Ishenin LazTarget - => 1.0
2010-11-22 09:28 Paul Ishenin Note Added: 0043351
2010-11-22 09:28 Paul Ishenin Status new => acknowledged
2010-11-22 09:28 Paul Ishenin Target Version => 1.0.0
2011-04-04 05:35 Paul Ishenin LazTarget 1.0 => 0.99.0
2011-04-04 05:38 Paul Ishenin Target Version 1.0.0 => 0.99.0
2011-10-03 08:51 Felipe Monteiro de Carvalho LazTarget 0.99.0 => 1.0
2011-10-28 10:06 Vincent Snijders LazTarget 1.0 => 0.99.0
2011-10-28 10:09 Vincent Snijders Status acknowledged => assigned
2011-10-28 10:09 Vincent Snijders Assigned To => Paul Ishenin
2012-02-07 08:50 Paul Ishenin Fixed in Revision => 35204
2012-02-07 08:50 Paul Ishenin Status assigned => resolved
2012-02-07 08:50 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-02-07 08:50 Paul Ishenin Resolution open => fixed
2012-02-07 08:50 Paul Ishenin Note Added: 0056610
2012-02-08 23:17 Maxim Ganetsky Status resolved => closed
2012-02-08 23:17 Maxim Ganetsky Note Added: 0056670